/*
Copyright (c) 2001 David Drysdale

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the author shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the author.
*/


import java.awt.*;

class LoadDialog extends Dialog {
    Button okButton;
    Button cancelButton;
    Panel labelPanel;
    TextArea textStuff;
    Panel buttonPanel;
    boolean answer = false;
    LoadDialog(Frame frame, boolean modal) {
        super(frame, modal);

        labelPanel = new Panel();
        labelPanel.setLayout(new BorderLayout());
        labelPanel.add("North", 
                       new Label("I'm a Java applet, so I'm not allowed to read from your disk."));
        labelPanel.add("Center", 
                       new Label("However, you can, so you should load up a saved font file in"));
        labelPanel.add("South", 
                       new Label("a text editor and then copy and paste the font description below."));

        add("North", labelPanel);
        textStuff = new TextArea();
        Font fixedFont = new Font("Courier", Font.PLAIN, 10);
        if (fixedFont != null) textStuff.setFont(fixedFont);
        add("Center", textStuff);
        buttonPanel = new Panel();
        buttonPanel.setLayout(new BorderLayout());
        okButton = new Button("OK");
        cancelButton = new Button("Cancel");
        buttonPanel.add("West", okButton);
        buttonPanel.add("East", cancelButton);
        add("South", buttonPanel);
        pack();
    }
    public boolean action(Event e, Object what) {
        if (e.target == okButton) {
            answer = true;
            setVisible(false);
            return true;
        } else if (e.target == cancelButton) {
            answer = false;
            setVisible(false);
            return true;
        }
        return false;
    }
    public boolean getAnswer() {return answer;}
    public String getText() {return textStuff.getText();}
}
